Subject: Re: pine and /etc/aliases

From: Paul Kirschner <[email-masked]>
Date: Tue, 10 May 1994 15:10:02 -0400

Thanks for your response.  To fill in some details:

I have a line in /etc/aliases such as:
abc: [email-masked]

newaliases has been run.

In .pinerc both user-domain and smtp-server are blank.

In the compose window in the To: field I type "abc" and a tab.  The field
completes as [email-masked].  "logos" is the node where I am
sending from.  I would have hoped the field would complete from /etc/aliases
as "[email-masked]"

If I use Sun's mailtool "abc" is left alone and /etc/aliases directs
the message correctly.  With pine I need to type in the full address
myself and I lose the alaises functionality!

Any help would be appreciated.

> 
> This is correct operation. The alias abc is on your node -
> it's in your /etc/aliases.
> When you send the message it will be *delivered* to the
> recipients listed under abc from /etc/aliases.
> Isn't that what happens ? If not - did you run "newaliases"
> (or the same thing "sendmail -bi").  Is smtp-server:
> blank in .pinerc ? - which is what you want.
> -mike
> > 
> > I'm running pine 3.89 on a Sun Sparc 2 with SunOS 4.1.2 (I did a "build
> > sun").  My problem is with the "To:" field under compose message.  I have
> > a rather extensive /etc/aliases list with all the people here and their
> > e-mail addresses.  Whenever I send a message to user "abc" the To field is
> > completed as "[email-masked]".  This is MY node and NOT the remote
> > node of the recipient from /etc/aliases.  The aliases list is seemingly
> > ignored.  (I should mention that /etc/aliases is "-rw-r--r--" and am running
> > the newest sendmail v8.)
> > 
> > Is this correct operation or how can I fix it to use the
> > aliases?  Is there a tool to convert /etc/aliases to the address book
> > format? 
>

------------------------------------------------------------------------------
Paul Kirschner                                       #include <disclaimer.std>
[email-masked]
United Technologies Research Center